Page MenuHomePhabricator

[LLDB] Help text overhaul
ClosedPublic

Authored by k8stone on Jul 12 2016, 3:52 PM.

Details

Reviewers
k8stone
zturner
clayborg
jingham
tfiala
granata.enrico
labath
Group Reviewers
Restricted Project
Summary

LLDB help content has accumulated over time without a recent attempt to review it for consistency, accuracy, and clarity. This patch attempts to address all of the above while keeping the text relatively terse.

Diff Detail

Event Timeline

k8stone updated this revision to Diff 63742.Jul 12 2016, 3:52 PM
k8stone retitled this revision from to Help text overhaul.
k8stone updated this object.
k8stone added a reviewer: Restricted Project.
k8stone added a project: Restricted Project.
Eugene.Zelenko retitled this revision from Help text overhaul to [LLDB] Help text overhaul.Jul 12 2016, 6:52 PM
Eugene.Zelenko added a subscriber: lldb-commits.
clayborg accepted this revision.Jul 13 2016, 9:43 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Jul 13 2016, 9:43 AM
jingham requested changes to this revision.Jul 13 2016, 10:44 AM
jingham added a reviewer: jingham.
jingham added a subscriber: jingham.

This is great! Thanks for slogging through these. There are a few comments inline.

source/Commands/CommandObjectBreakpoint.cpp
1318

Not sure what it means for locations to match a breakpoint. Maybe "all the locations generated by breakpoint 1"?

source/Commands/CommandObjectExpression.cpp
225–226

"the current thread" seems a little terse. It is important that that the expression is run ON the current thread - because you need to know that that thread isn't going to make progress during the expression evaluation, though other threads might. But it is equally important to know that the context for lookups is the current frame.

source/Commands/CommandObjectTarget.cpp
4342–4343

You were pretty consistent about using "modules" not "images". Do you want to do that here?

source/Commands/CommandObjectThread.cpp
1107–1108

I think "when returning" in this context makes it sound like it stops before the function returns. That would be better, but pretty tricky to do. The current command stops AFTER returning from the current function.

source/Interpreter/CommandObject.cpp
690–691

Breakpoint IDs consist major and minor numbers

isn't a sentence. Maybe "are specified by"

695

The "just" on this line doesn't add anything, I'd omit it.

708

Why do we support this, when "5.*" and "5" mean exactly the same thing???

This revision now requires changes to proceed.Jul 13 2016, 10:44 AM
granata.enrico added inline comments.Jul 13 2016, 1:35 PM
source/Commands/CommandObjectCommands.cpp
2272

'by by' is one too many 'by's

source/Commands/CommandObjectLanguage.cpp
26

Maybe "Commands specific to a given source language"?

We have a notion of language runtime in LLDB, but the 'language' command doesn't really change the state of those, it's just a convenient grouping for commands that are specifically bound to one language

k8stone updated this revision to Diff 63869.Jul 13 2016, 3:22 PM
k8stone edited edge metadata.

clang-format applied. Typos and clarity issues previously commented on have been addressed.

k8stone accepted this revision.Aug 26 2016, 4:38 PM
k8stone added a reviewer: k8stone.

All changes long since accepted and submitted to trunk.

tfiala accepted this revision.Sep 9 2016, 10:19 AM
tfiala added a reviewer: tfiala.
tfiala added a subscriber: tfiala.

Accepting and then closing.

jingham accepted this revision.Sep 9 2016, 10:29 AM
jingham edited edge metadata.
This revision is now accepted and ready to land.Sep 9 2016, 10:29 AM
tfiala closed this revision.Sep 9 2016, 10:32 AM